# wxMouseCaptureLostEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/event.h>`

Inheritance diagram for wxMouseCaptureLostEvent:
[legend]

## Detailed Description

A mouse capture lost event is sent to a window that had obtained mouse capture, which was subsequently lost due to an "external" event (for example, when a dialog box is shown or if another application captures the mouse).

If this happens, this event is sent to all windows that are on the capture stack (i.e. called CaptureMouse, but didn't call ReleaseMouse yet). The event is not sent if the capture changes because of a call to CaptureMouse or ReleaseMouse.

This event is currently emitted under Windows only.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxMouseCaptureLostEvent& event)

Event macros:

- EVT_MOUSE_CAPTURE_LOST(func):
  Process a `wxEVT_MOUSE_CAPTURE_LOST` event.

Availability: only available for the wxMSW port.

##

Library: wxCore
Category: Events

See also:
  wxMouseCaptureChangedEvent, Events and Event Handling, wxWindow::CaptureMouse, wxWindow::ReleaseMouse, wxWindow::GetCapture

## Public Member Functions

| wxMouseCaptureLostEvent (wxWindowID windowId=0)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxMouseCaptureLostEvent::wxMouseCaptureLostEvent | ( | wxWindowID | windowId = `0` | ) |

Constructor.

|  | [ top ]